std::chrono::year_month_weekday_last::ok(3)

NAME
std::chrono::year_month_weekday_last::ok - std::chrono::year_month_weekday_last::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if this object represents a valid date. Since a year_month_weekday_last
   represents the last weekday of a particular month, it is valid as long as the year,
   month and weekday are valid.

Return value
   year().ok() && month().ok() && weekday().ok()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 using namespace std::chrono;
 int main()
 {
     std::cout << std::boolalpha;
     auto ymwdl {Tuesday[last]/11/2020};
     std::cout << (ymwdl.ok()) << ' ';
     ymwdl = Tuesday[last]/-2/2021;
     std::cout << (ymwdl.ok()) << ' ';
     ymwdl += months(0); // Normalize month
     std::cout << (ymwdl.ok()) << '\n';
 }

Output:
 true false true